Loading...
Searching...
No Matches
field_expr_quadrature.h File Reference

Go to the source code of this file.

## Classes

struct | is_field_expr_quadrature_arg< T >
class | field_expr_quadrature_on_element< Expr >
struct | is_field_expr_quadrature_arg< field_expr_quadrature_on_element< Expr > >
class | field_expr_quadrature_on_sides< Expr >
struct | is_field_expr_quadrature_arg< field_expr_quadrature_on_sides< Expr > >
class | field_expr_quadrature_binary< BinaryFunction, Expr1, Expr2 >
struct | is_field_expr_quadrature_arg< field_expr_quadrature_binary< F, Expr1, Expr2 > >

## Namespaces

namespace | rheolef
| This file is part of Rheolef.
namespace | rheolef::details

## Macros

#define | _RHEOLEF_field_expr_quadrature_binary(FUNCTION, FUNCTOR)

## Functions

template<class Expr >
std::enable_if< details::is_field_expr_v2_variational_arg< Expr >::value, details::field_expr_quadrature_on_sides< Expr > >::type | on_local_sides (const Expr &expr)
| on_local_sides(expr): see the `expression` page for the full documentation
| _RHEOLEF_field_expr_quadrature_binary (operator+, details::plus) _RHEOLEF_field_expr_quadrature_binary(operator-

## Macro Definition Documentation

## _RHEOLEF_field_expr_quadrature_binary

#define _RHEOLEF_field_expr_quadrature_binary | ( |  | FUNCTION,
|  |  | FUNCTOR
| ) |  |

Definition at line 536 of file field_expr_quadrature.h.